/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.quality.entity.AssayReportW;
import com.tofly.quality.entity.dto.AssayReportWQuery;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 化验报告管理
 *
 * @author admin
 * @date Thu Nov 03 00:00:00 CST 2022
 */
public interface AssayReportWService extends IService<AssayReportW> {

    boolean saveAssayReport(List<MultipartFile> fileList, AssayReportW assayReportW,boolean isAdd);

    Page<AssayReportW> getPageData(Page page, AssayReportWQuery query);

    boolean deleteByIds(String ids);

    boolean synFile(String ids);
}
